> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewercluster



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/Cluster
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/Cluster:
    post:
      tags:
        - Cluster
      operationId: Cluster_SaveCluster
      requestBody:
        x-name: saveClusterRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveClusterRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveClusterResult'
components:
  schemas:
    SaveClusterRequest:
      type: object
      additionalProperties: false
      properties:
        Cluster:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Cluster'
    SaveClusterResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            ClusterId:
              type: string
              format: guid
    Cluster:
      type: object
      additionalProperties: false
      required:
        - Name
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        Name:
          type: string
          minLength: 1
        Description:
          type: string
          nullable: true
        Width:
          type: integer
        Height:
          type: integer
        Viewers:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Viewer'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Viewer:
      type: object
      additionalProperties: false
      required:
        - Id
      properties:
        Id:
          type: string
          format: guid
          minLength: 1
        Online:
          type: boolean
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````